#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

%define 	module	waitress
Summary:	Waitress WSGI server
Summary(pl.UTF-8):	Serwer WSGI Waitress
Name:		python3-%{module}
Version:	3.0.2
Release:	3
License:	ZPL v2.1
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/waitress/
Source0:	https://files.pythonhosted.org/packages/source/w/waitress/%{module}-%{version}.tar.gz
# Source0-md5:	da30daf4544fafe0f43e1ba4a1830bf5
URL:		https://docs.pylonsproject.org/projects/waitress/
BuildRequires:	python3-modules >= 1:3.5
BuildRequires:	python3-setuptools >= 1:41
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	sphinx-pdg-3 >= 1.8.1
BuildRequires:	python3-docutils
BuildRequires:	python3-pylons-sphinx-themes >= 1.0.9
%endif
Requires:	python3-modules >= 1:3.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Waitress is meant to be a production-quality pure-Python WSGI server
with very acceptable performance.

%description -l pl.UTF-8
Waitress jest serwerem WSGI tworzonym w czystym Pythonie, z myślą o
produkcyjnej jakości i akceptowalnej wydajności.

%package apidocs
Summary:	API documentation for Python waitress module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona waitress
Group:		Documentation

%description apidocs
API documentation for Python waitress module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona waitress.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%if %{with tests}
PYTHONPATH=$(pwd)/src \
%{__python3} -m unittest discover -s tests
%endif

%if %{with doc}
PYTHONPATH=$(pwd)/src \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__mv} $RPM_BUILD_ROOT%{_bindir}/waitress-serve{,-3}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.txt COPYRIGHT.txt HISTORY.txt LICENSE.txt README.rst
%attr(755,root,root) %{_bindir}/waitress-serve-3
%{py3_sitescriptdir}/waitress
%{py3_sitescriptdir}/waitress-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Sun May 04 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-waitress.git;a=log;h=master

* Sun May 04 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 3cea146
- Up to 3.0.2

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 636dcb9
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 256259b
- python 3.13 rebuild

* Sat Oct 28 2023 Jakub Bogusz <qboosh@pld-linux.org> 76a13ae
- updated to 1.4.4 (fixes CVE-2019-16789, CVE-2020-5236)

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 8277e56
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> ce626f3
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> fbb3ccb
- release 2 (by relup.sh)

* Tue Dec 31 2019 Jakub Bogusz <qboosh@pld-linux.org> b2c63a7
- disable also test_adjustments

* Tue Dec 31 2019 Jakub Bogusz <qboosh@pld-linux.org> 5d2b1c5
- updated to 1.4.1

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> cceda7f
- rebuild with python 3.8
- release 3 (by relup.sh)

* Sat Jul 21 2018 Jakub Bogusz <qboosh@pld-linux.org> 601ef29
- really use sphinx-pdg-3, release 2

* Fri Jul 20 2018 Jakub Bogusz <qboosh@pld-linux.org> 135e263
- updated to 1.1.0
- added python3- and -apidocs subpackages

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> b7bc167
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 5ddba06
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 825dc87
- automatic change: use py_build/py_install macros

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> a30495c
- new, version 0.8.2

